"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALL_FILES_PATH = void 0;
const aws_sdk_1 = require("aws-sdk");
exports.ALL_FILES_PATH = '/*';
const createInvalidation = ({ credentials, distributionId, paths = [exports.ALL_FILES_PATH], }) => {
    const cloudFront = new aws_sdk_1.CloudFront({ credentials });
    const callerReference = new Date().getTime().toString();
    return cloudFront
        .createInvalidation({
        DistributionId: distributionId,
        InvalidationBatch: {
            CallerReference: callerReference,
            Paths: {
                Quantity: paths.length,
                Items: paths,
            },
        },
    })
        .promise();
};
exports.default = createInvalidation;
