"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createOriginAccessIdentity = async (cf) => {
    const { CloudFrontOriginAccessIdentity } = await cf
        .createCloudFrontOriginAccessIdentity({
        CloudFrontOriginAccessIdentityConfig: {
            CallerReference: 'next-deploy-managed-cloudfront-access-identity',
            Comment: 'CloudFront Origin Access Identity created to allow serving private S3 content',
        },
    })
        .promise();
    return {
        originAccessIdentityId: CloudFrontOriginAccessIdentity === null || CloudFrontOriginAccessIdentity === void 0 ? void 0 : CloudFrontOriginAccessIdentity.Id,
        s3CanonicalUserId: CloudFrontOriginAccessIdentity === null || CloudFrontOriginAccessIdentity === void 0 ? void 0 : CloudFrontOriginAccessIdentity.S3CanonicalUserId,
    };
};
exports.default = createOriginAccessIdentity;
