"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getForwardedValues_1 = __importDefault(require("./getForwardedValues"));
const getCacheBehavior = (pathPattern, pathPatternConfig, originId) => {
    const { allowedHttpMethods = ['GET', 'HEAD'], ttl, forward, compress = true, smoothStreaming = false, viewerProtocolPolicy = 'https-only', fieldLevelEncryptionId = '', } = pathPatternConfig;
    return {
        ForwardedValues: getForwardedValues_1.default(forward, {
            cookies: 'all',
            queryString: true,
        }),
        MinTTL: ttl,
        PathPattern: pathPattern,
        TargetOriginId: originId,
        TrustedSigners: {
            Enabled: false,
            Quantity: 0,
        },
        ViewerProtocolPolicy: viewerProtocolPolicy,
        AllowedMethods: {
            Quantity: allowedHttpMethods.length,
            Items: allowedHttpMethods,
            CachedMethods: {
                Items: ['GET', 'HEAD'],
                Quantity: 2,
            },
        },
        Compress: compress,
        SmoothStreaming: smoothStreaming,
        DefaultTTL: ttl,
        MaxTTL: ttl,
        FieldLevelEncryptionId: fieldLevelEncryptionId,
        LambdaFunctionAssociations: {
            Quantity: 0,
            Items: [],
        },
    };
};
exports.default = getCacheBehavior;
