"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const addLambdaAtEdgeToCacheBehavior_1 = __importDefault(require("./addLambdaAtEdgeToCacheBehavior"));
const getForwardedValues_1 = __importDefault(require("./getForwardedValues"));
const getDefaultCacheBehavior = (originId, defaults = {}) => {
    const { allowedHttpMethods = ['HEAD', 'GET'], forward = {}, ttl = 86400, compress = false, smoothStreaming = false, viewerProtocolPolicy = 'redirect-to-https', fieldLevelEncryptionId = '', } = defaults;
    const defaultCacheBehavior = {
        TargetOriginId: originId,
        ForwardedValues: getForwardedValues_1.default(forward || {}),
        TrustedSigners: {
            Enabled: false,
            Quantity: 0,
            Items: [],
        },
        ViewerProtocolPolicy: viewerProtocolPolicy,
        MinTTL: 0,
        AllowedMethods: {
            Quantity: allowedHttpMethods.length,
            Items: allowedHttpMethods,
            CachedMethods: {
                Quantity: 2,
                Items: ['HEAD', 'GET'],
            },
        },
        SmoothStreaming: smoothStreaming,
        DefaultTTL: ttl,
        MaxTTL: 31536000,
        Compress: compress,
        LambdaFunctionAssociations: {
            Quantity: 0,
            Items: [],
        },
        FieldLevelEncryptionId: fieldLevelEncryptionId,
    };
    addLambdaAtEdgeToCacheBehavior_1.default(defaultCacheBehavior, defaults['lambda@edge']);
    return defaultCacheBehavior;
};
exports.default = getDefaultCacheBehavior;
