import { Component } from '@serverless/core';
import { OriginRequestHandlerManifest as BuildManifest } from '@next-deploy/aws-lambda-builder/types';
import { DeploymentResult, AwsComponentInputs } from '../types';
export declare const BUILD_DIR = ".next-deploy-build";
export declare const REQUEST_LAMBDA_CODE_DIR: string;
declare class Aws extends Component {
    default(inputs?: AwsComponentInputs): Promise<DeploymentResult>;
    readRequestLambdaBuildManifest(nextConfigPath: string): Promise<BuildManifest>;
    validatePathPatterns(pathPatterns: string[], buildManifest: BuildManifest): void;
    build({ build, nextConfigDir }?: AwsComponentInputs): Promise<void>;
    deploy({ nextConfigDir, nextStaticDir, bucketRegion, bucketName, cloudfront: cloudfrontInput, policy, publicDirectoryCache, domain, domainType, stage, ...inputs }?: AwsComponentInputs): Promise<DeploymentResult>;
    remove(): Promise<void>;
}
export default Aws;
