import { Route53, ACM, CloudFront, Credentials } from 'aws-sdk';
import { PathPatternConfig } from '@next-deploy/aws-cloudfront/types';
import { AwsDomainInputs, SubDomain, DomainType } from '../types';
export declare const getClients: (credentials: Credentials, region?: string) => {
    route53: Route53;
    acm: ACM;
    cf: CloudFront;
};
export declare const prepareSubdomains: (inputs: AwsDomainInputs) => SubDomain[];
export declare const getDomainHostedZoneId: (route53: Route53, domain: string, privateZone: boolean) => Promise<string>;
export declare const describeCertificateByArn: (acm: ACM, certificateArn: string) => Promise<ACM.CertificateDetail | null>;
export declare const getCertificateArnByDomain: (acm: ACM, domain: string) => Promise<string | null>;
export declare const createCertificate: (acm: ACM, domain: string) => Promise<string | undefined>;
export declare const validateCertificate: (acm: ACM, route53: Route53, certificate: ACM.CertificateDetail, domain: string, domainHostedZoneId: string) => Promise<void>;
export declare const configureDnsForCloudFrontDistribution: (route53: Route53, subdomain: SubDomain, domainHostedZoneId: string, distributionUrl: string, domainType: DomainType) => Promise<Route53.ChangeResourceRecordSetsResponse>;
export declare const removeCloudFrontDomainDnsRecords: (route53: Route53, domain: string, domainHostedZoneId: string, distributionUrl: string) => Promise<void>;
export declare const addDomainToCloudfrontDistribution: (cf: CloudFront, subdomain: SubDomain, certificateArn: string, domainType: DomainType, { viewerCertificate }: PathPatternConfig) => Promise<{
    id?: string;
    arn?: string;
    url?: string;
}>;
export declare const removeDomainFromCloudFrontDistribution: (cf: CloudFront, subdomain: SubDomain) => Promise<{
    id?: string;
    arn?: string;
    url?: string;
}>;
