import { IAM } from 'aws-sdk';
import { Policy, Role } from '../types';
export declare const addRolePolicy: ({ iam, name, policy, }: {
    iam: IAM;
    name: string;
    policy: Policy;
}) => Promise<void>;
export declare const removeRolePolicy: ({ iam, name, policy, }: {
    iam: IAM;
    name: string;
    policy: Policy;
}) => Promise<void>;
export declare const createRole: ({ iam, name, service, policy, }: {
    iam: IAM;
    name: string;
    service: string | string[];
    policy: Policy;
}) => Promise<string>;
export declare const deleteRole: ({ iam, name, policy, }: {
    iam: IAM;
    name: string;
    policy: Policy;
}) => Promise<void>;
export declare const getRole: ({ iam, name, }: {
    iam: IAM;
    name: string;
}) => Promise<null | undefined | Partial<Role>>;
export declare const updateAssumeRolePolicy: ({ iam, name, service, }: {
    iam: IAM;
    name: string;
    service: string | string[];
}) => Promise<void>;
export declare const inputsChanged: (prevRole: Role, role: Role) => boolean;
