import { NodeFileTraceReasons } from '@zeit/node-file-trace';
import { OriginRequestHandlerManifest } from '../types';
export declare const REQUEST_LAMBDA_CODE_DIR = "request-lambda";
declare class Builder {
    nextConfigDir: string;
    dotNextDir: string;
    serverlessDir: string;
    outputDir: string;
    buildOptions: BuildOptions;
    constructor(nextConfigDir: string, outputDir: string, buildOptions?: BuildOptions);
    readPublicFiles(): Promise<string[]>;
    readPagesManifest(): Promise<{
        [key: string]: string;
    }>;
    copyLambdaHandlerDependencies(fileList: string[], reasons: NodeFileTraceReasons, handlerDirectory: string): Promise<void>[];
    buildRequestLambda(buildManifest: OriginRequestHandlerManifest): Promise<void[]>;
    prepareBuildManifest(): Promise<OriginRequestHandlerManifest>;
    cleanupDotNext(): Promise<void>;
    build(debug?: (message: string) => void): Promise<void>;
}
export default Builder;
