"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pathToRegexStr = exports.isDynamicRoute = exports.normalizeNodeModules = exports.expressifyDynamicRoute = void 0;
const path_to_regexp_1 = require("path-to-regexp");
exports.expressifyDynamicRoute = (dynamicRoute) => {
    let expressified = dynamicRoute.replace(/\[\.\.\.(.*)]$/, ':$1+');
    expressified = expressified.replace(/\[(.*?)]/g, ':$1');
    if (expressified.includes('/::')) {
        expressified = expressified.replace('/::', '/:').replace(/\+$/, '*');
    }
    return expressified;
};
exports.normalizeNodeModules = (path) => path.substring(path.indexOf('node_modules'));
exports.isDynamicRoute = (route) => /\/\[[^\/]+?\](?=\/|$)/.test(route);
exports.pathToRegexStr = (path) => path_to_regexp_1.pathToRegexp(path)
    .toString()
    .replace(/\/(.*)\/\i/, '$1');
