import { Lambda } from 'aws-sdk';
import { AwsLambdaInputs } from '../types';
export declare const createLambda: ({ lambda, name, handler, memory, timeout, runtime, env, description, zipPath, bucket, role, }: AwsLambdaInputs) => Promise<{
    arn?: string;
    hash?: string;
}>;
export declare const updateLambdaConfig: ({ lambda, name, handler, memory, timeout, runtime, env, description, role, }: AwsLambdaInputs) => Promise<{
    arn?: string;
    hash?: string;
}>;
export declare const updateLambdaCode: ({ lambda, name, zipPath, bucket, }: {
    lambda: Lambda;
    name: string;
    zipPath: string;
    bucket: string;
}) => Promise<string | undefined>;
export declare const getLambda: ({ lambda, name, }: {
    lambda: Lambda;
    name: string;
}) => Promise<Partial<AwsLambdaInputs> | null>;
export declare const deleteLambda: ({ lambda, name, }: {
    lambda: Lambda;
    name: string;
}) => Promise<void>;
export declare const getPolicy: ({ name, region, accountId, }: {
    name: string;
    region: string;
    accountId: string;
}) => Record<string, unknown>;
export declare const configChanged: (prevLambda: Record<string, unknown>, lambda: Record<string, unknown>) => boolean;
export declare const pack: (code: string, shims?: never[], packDeps?: boolean) => Promise<unknown>;
export declare const load: <T>(path: string, that: any, name?: string | undefined) => Promise<T>;
