"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_PUBLIC_DIR_CACHE_REGEX = exports.DEFAULT_PUBLIC_DIR_CACHE_CONTROL = void 0;
const path_1 = __importDefault(require("path"));
const regex_parser_1 = __importDefault(require("regex-parser"));
exports.DEFAULT_PUBLIC_DIR_CACHE_CONTROL = 'public, max-age=31536000, must-revalidate';
exports.DEFAULT_PUBLIC_DIR_CACHE_REGEX = /\.(gif|jpe?g|jp2|tiff|png|webp|bmp|svg|ico)$/i;
const getPublicAssetCacheControl = (filePath, options) => {
    if (options === false) {
        return undefined;
    }
    let value = exports.DEFAULT_PUBLIC_DIR_CACHE_CONTROL;
    let test = exports.DEFAULT_PUBLIC_DIR_CACHE_REGEX;
    if (typeof options === 'object') {
        if (options.value) {
            value = options.value;
        }
        if (options.test) {
            test = regex_parser_1.default(options.test);
        }
    }
    if (test.test(path_1.default.basename(filePath))) {
        return value;
    }
    return undefined;
};
exports.default = getPublicAssetCacheControl;
