import { Credentials, S3 } from 'aws-sdk';
import { Item } from 'klaw';
export declare const getClients: (credentials: Credentials, region: string) => {
    regular: S3;
    accelerated: S3;
};
export declare const ensureBucket: (s3: S3, name: string, debug: (message: string) => void) => Promise<any>;
export declare const uploadDir: (s3: S3, bucketName: string, dirPath: string, cacheControl?: string | undefined, options?: {
    keyPrefix?: string | undefined;
} | undefined) => Promise<void>;
export declare const packAndUploadDir: ({ s3, bucketName, dirPath, key, append, cacheControl, }: {
    s3: S3;
    bucketName: string;
    dirPath: string;
    key: string;
    append?: string[] | undefined;
    cacheControl?: string | undefined;
}) => Promise<void>;
export declare const uploadFile: ({ s3, bucketName, filePath, key, cacheControl, }: {
    s3: S3;
    bucketName: string;
    filePath: string;
    key: string;
    cacheControl?: string | undefined;
}) => Promise<void>;
export declare const clearBucket: (s3: S3, bucketName: string) => Promise<any>;
export declare const accelerateBucket: (s3: S3, bucketName: string, accelerated: boolean) => Promise<any>;
export declare const deleteBucket: (s3: S3, bucketName: string) => Promise<any>;
export declare const configureCors: (s3: S3, bucketName: string, config: S3.CORSConfiguration) => Promise<any>;
export declare const pathToPosix: (path: string) => string;
export declare const readDirectoryFiles: (directory: string) => Promise<Array<Item>>;
export declare const filterOutDirectories: (fileItem: Item) => boolean;
export declare const getMimeType: (filePath: string) => string;
