import { ContextMetrics, ContextConfig } from '../types';
declare class Context {
    root: string;
    stateRoot: string;
    debugMode: boolean;
    state: Record<string, unknown>;
    credentials: Record<string, unknown>;
    id: string;
    outputs: Record<string, unknown>;
    metrics: ContextMetrics;
    constructor({ root, stateRoot, credentials, debug, entity, message }: ContextConfig);
    init(): Promise<void>;
    resourceId(): string;
    readState(id: string): Promise<any>;
    writeState(id: string, state: Record<string, unknown>): Promise<any>;
    setCredentials(): Promise<Record<string, any>>;
    close(reason: string, error?: Error): void;
    getRelativeVerticalCursorPosition(contentString: string): number;
    statusEngine(): Promise<void>;
    isStatusEngineActive(): boolean;
    statusEngineStart(): Promise<void>;
    statusEngineStop(reason: string, error?: Error): void;
    renderStatus(status?: string, entity?: string): void;
    renderLog(msg?: string): void;
    renderDebug(msg: string): void;
    renderError(errorProp?: string | Error): void;
    renderOutputs(outputs: Record<string, unknown>): void;
    log(msg?: string): void;
    debug(msg: string): void;
    status(status: string, entity: string): void;
}
export default Context;
