"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseConfig = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const config_1 = require("./config");
exports.createBaseConfig = (deployConfigPath, displayWarning) => {
    const configPathExists = fs_extra_1.default.existsSync(deployConfigPath);
    if (displayWarning && configPathExists) {
        console.warn(`⚠️  The ${config_1.DEPLOY_CONFIG_NAME} configuration already exists.`);
    }
    if (!configPathExists) {
        fs_extra_1.default.writeFileSync(deployConfigPath, `// for more configurable options see: https://github.com/nidratech/next-deploy#configuration-options
module.exports = {
  engine: 'aws',
  debug: true,
};
`);
    }
};
