"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const execa_1 = __importDefault(require("execa"));
const fs_1 = require("fs");
const NEXT_EXPORT_CMD = ['export'];
const build = async ({ cmd, cwd, args }, debug) => {
    if (debug) {
        const { stdout: nextVersion } = await execa_1.default(cmd, ['--version'], {
            cwd,
        });
        debug(`Starting a new build with ${nextVersion}`);
        console.log();
    }
    let subprocess = execa_1.default(cmd, args, {
        cwd,
        env: {
            NODE_OPTIONS: '--max_old_space_size=3000',
        },
    });
    if (debug && subprocess.stdout) {
        subprocess.stdout.pipe(process.stdout);
    }
    await subprocess;
    subprocess = execa_1.default(cmd, NEXT_EXPORT_CMD, {
        cwd,
    });
    if (debug && subprocess.stdout) {
        subprocess.stdout.pipe(process.stdout);
    }
    await subprocess;
    fs_1.writeFileSync('out/.nojekyll', '');
};
exports.default = build;
